#ifndef KARROWTABBAR_H
#define KARROWTABBAR_H

#include <QWidget>
#include "knativetabbar.h"

namespace kdk {

/** @defgroup BarModule
  * @{
  */

class KArrowTabBarPrivate;

/**
 * @brief 可显示箭头的tabbar
 * @since 2.5
 */
class KArrowTabBar : public QWidget
{
    Q_OBJECT
public:
    KArrowTabBar(QWidget *parent = nullptr);

    /**
     * @brief 获取knativetabbar
     * @return
     */
    KNativeTabbar *tabbar();


Q_SIGNALS:
    /**
     * @brief 点击会发出信号
     */
    void sizeChange();

protected:
    void resizeEvent(QResizeEvent *event);

private:
    Q_DECLARE_PRIVATE(KArrowTabBar)
    KArrowTabBarPrivate*const d_ptr;
};

}



#endif // KArrowTabBar_H
